<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr        = $_REQUEST["ctr"];
    $hide       = $_REQUEST["hide"];
    $hide_var   = "";
    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++;

    echo "<tr>";
    echo "<td><i class='fa fa-close remove'></i></td>";
    echo "<td><input type='text' class='form-control form text-right srno'   name='srno_$ctr'         value='$mctr'></td>";
    echo "<td><select class='form-control form select2 launch fetchpart_$ctr' name='launch_$ctr' style='width:100%'>";
    echo "<option value=''></option>";
    $glaunch = mysqli_query($conn, 'SELECT `code`,`name` FROM `launch` order by name') or die(mysqli_error($conn));
    while ($flaunch = mysqli_fetch_array($glaunch)) {
        echo "<option value='$flaunch[code]'>$flaunch[name]</option>";
    }
    echo "</select></td>";
    echo "<td><select class='form-control form select2 type fetchpart2_$ctr' name='type_$ctr' style='width:100%'>";
    echo "<option value='H'>Hours</option>";
    echo "<option value='L'>Lumsum</option>";
    echo "<option value='H'>Hours</option>";
    echo "</select></td>";
    echo "<td><input type='date' class='form-control form frmdt' name='frmdt_$ctr' value='' required></td>";
    echo "<td><input type='number' class='form-control form text-right frmtime' name='frmtime_$ctr' value=''></td>";
    echo "<td><input type='date' class='form-control form todt' name='todt_$ctr' value='' required></td>";
    echo "<td><input type='number' class='form-control text-right form totime' name='totime_$ctr' value=''></td>";
    echo "<td><input type='number' class='form-control text-right form nohrs' name='nohrs_$ctr' value='0' tabindex='-1' readonly></td>";
    echo "<td><input type='number' class='form-control text-right form nomin' name='nomin_$ctr' value='0' tabindex='-1' readonly></td>";
    echo "<td><input type='number' class='form-control form text-right rate'   name='rate_$ctr'         value='0'>
    <input type='hidden' class='form-control form text-right calcamt'   name='calcamt_$ctr'         value=''></td>";
    echo "<td><input type='number' class='form-control form text-right otamt'  name='otamt_$ctr'        value='0'></td>";
    echo "<td><input type='number' class='form-control form text-right amount' name='amount_$ctr'       value='0' readonly></td>";
    echo "</tr >";
    $ctr++;
} else {
    echo "ERROR";
}
